Subject: Re: B20.1: Problem with recursive rm (rm -r) on Windows98
From: Earnie Boyd <[email-masked]>
To: Stephane Bonenfant <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 20 Aug 1999 09:57:53 -0700 (PDT)

--- Stephane Bonenfant <[email-masked]> wrote:
> My problem is the following:
> 
> I have many level of directories with .d files and I want to remove them 
> all. So I use the command "rm -rf *.d" which will only remove the file on 
> the current directory. I though that it will do all other directories since 
> I've use -r option. Is that because my directories are not name ending with 
> .d ? Any suggestions
> 

I think the rm syntax requires that the directories recursed be in the argument
list.  Therefore, unless the directory ends in .d it won't be seen.  To do what
you want you need to create a foreach loop using find and rm.

E.G.:
foreach FILE in `find . -name *.d`; do rm -f $FILE; done

The syntax may be incorrect but it's close.  I can't check it right now.
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]